RaspberryMatic 3.49.17.20191225 – Neue Version

Einrichtung, Nutzung und Hilfe zu RaspberryMatic (OCCU auf Raspberry Pi)

Moderatoren: jmaus, Co-Administratoren

Benutzeravatar
onkeltommy
Beiträge: 749
Registriert: 07.05.2016, 08:03
Wohnort: Wien
Hat sich bedankt: 9 Mal
Danksagung erhalten: 5 Mal

Re: RaspberryMatic 3.49.17.20191225 – Neue Version

Beitrag von onkeltommy » 20.01.2020, 16:23

Seltsamer FW Hinweis ?

das mit der 2.5er ist eh in einem andern Fred schon in Behandlung ...aber

Die Asir....klicke auf den Hyperlink 1.4.2 -> nix passiert - dann weisse Seite mit Error so ähnlich wie "nix gefunden" - WebUi Session "tot".

Re- Login auf der RMatic - aber - auf einmal auf der Startseite KEIN Hinweis mehr, dass eine neue FW ansteht....und die Asir 1.4.2 findet sich augenscheinlich nicht bei eq3...

War das ein Zufall, dass vl in genau dem Moment eq3 alle 3 zurückgezogen hat oder warum ist, wenn nicht, der Updatehinweis auf einmal weg ?
Zeitraum wo ich da nachgschaut hab war grad mal 5 Minuten....

lG

Thomas
Unbenanntf.PNG
Unbenanntf.PNG (11.04 KiB) 873 mal betrachtet
--------------------------
Raspberrymatic 3.49.17.20191225 ...... auf TinkerS (Produktivsystem) + RB3 & RB3+

Huttmann
Beiträge: 104
Registriert: 08.06.2012, 09:16

Re: RaspberryMatic 3.49.17.20191225 – Neue Version

Beitrag von Huttmann » 21.01.2020, 16:03

Die Meldung mit FW 2.4.9 hatte ich gestern auch, ist heute verschwunden. Update von ASIR war ok, hat auch geklappt.

Revi
Beiträge: 19
Registriert: 03.02.2019, 09:37
Hat sich bedankt: 2 Mal

Re: RaspberryMatic 3.49.17.20191225 – Neue Version

Beitrag von Revi » 21.01.2020, 21:20

Hallo Jens und vielen Dank für das Update!

Dieses läuft bei mir mit einer Ausnahme seit etwa 3 Wochen ohne weitere Auffälligkeiten oder Ausfälle:

Die Liste der Geräte bei Programmen die aufgeht, wenn man ein Gerät für eine Bedingung oder Aktivität angeben möchte ist nach keinem für mich nachvollziehbaren Sytem sortiert. Auch ein Klicken auf die Spaltenüberschrift ändert hieran nichts (falls sowas überhaupt mal ging).

Vielleicht kannst Du ja Licht in mein Dunkel bringen :D
 
Unbenannt.PNG

Benutzeravatar
jmaus
Beiträge: 5553
Registriert: 17.02.2015, 14:45
Wohnort: Dresden
Hat sich bedankt: 11 Mal
Danksagung erhalten: 214 Mal
Kontaktdaten:

Re: RaspberryMatic 3.49.17.20191225 – Neue Version

Beitrag von jmaus » 21.01.2020, 21:46

Wenn du weiter zurückliest solltest du auf Beiträge stoßen die das bereits berichtet haben und ich habe auch schon mehrfach dazu geantwortet das das Problem bereits erkannt und für die nächste kommende version repariert wurde.
RaspberryMatic 3.49.17.20191225 @ ESXi mit ~160 HomeMatic Geräten + ioBroker – GitHubGitHub Sponsors / PayPalTwitter

SGubler
Beiträge: 48
Registriert: 24.09.2018, 17:49
Hat sich bedankt: 3 Mal

Re: RaspberryMatic 3.49.17.20191225 – Neue Version

Beitrag von SGubler » 21.01.2020, 23:29

Betreffend Firmwareupdate hatte ich heute Abend auch Hinweise auf neue Gerätefirmware erhalten:

Firmware Update für HmIP-FBL Jalousieaktor Version 1.8.12.
Die Firmware wurde heruntergeladen. Beim Upload auf die Rasperrymatic kommt allerdings folgender Fehler:

Fehler:
Ist das eine gültige Firmwaredatei?


Kann das jemand reproduzieren ?

Die Firmware wird auf dem Server ins /tmp Verzeichnis gespeichert und dann in ein Unterverzeichnis tmpFirmware entpackt.
Könnte es eine Fehler in der Firmware Datei sein ? Diesen Fehler hatte ich jetzt noch nie mit anderen Geräte Firmware updates.
Dateianhänge
Fehler-Firmware-Upload.PNG
Fehler-Firmware-Upload.PNG (6.77 KiB) 563 mal betrachtet

Gluehwurm
Beiträge: 9853
Registriert: 19.03.2014, 00:37
Danksagung erhalten: 27 Mal

Re: RaspberryMatic 3.49.17.20191225 – Neue Version

Beitrag von Gluehwurm » 22.01.2020, 13:03

Die Fw-Datei darf nicht entpackt werden

Gruß
Bruno

mbhomie007
Beiträge: 85
Registriert: 13.02.2018, 19:23

Re: RaspberryMatic 3.49.17.20191225 – Neue Version

Beitrag von mbhomie007 » 22.01.2020, 16:58

mbhomie007 hat geschrieben:
17.01.2020, 16:41
Hallo,

kann jemand die Fehler entziffern?

Code: Alles auswählen

Jan 16 17:18:39 Homematic-CCU local0.err ReGaHss: ERROR: ScriptRuntimeError: integer id = 1215; [ExecError():iseESPexec.cpp:12798]
Jan 16 21:50:19 Homematic-CCU daemon.warn openvpn[1134]: WARNING: --ns-cert-type is DEPRECATED.  Use --remote-cert-tls instead.
Jan 16 21:50:35 Homematic-CCU daemon.warn openvpn[1134]: WARNING: --ns-cert-type is DEPRECATED.  Use --remote-cert-tls instead.
Jan 16 21:50:50 Homematic-CCU daemon.warn openvpn[1134]: WARNING: --ns-cert-type is DEPRECATED.  Use --remote-cert-tls instead.
Jan 16 21:53:46 Homematic-CCU daemon.warn openvpn[1134]: WARNING: --ns-cert-type is DEPRECATED.  Use --remote-cert-tls instead.
Jan 16 21:54:07 Homematic-CCU daemon.warn openvpn[1134]: WARNING: --ns-cert-type is DEPRECATED.  Use --remote-cert-tls instead.
Jan 16 21:54:29 Homematic-CCU daemon.warn openvpn[1134]: ERROR: Linux route add command failed: external program exited with error status: 2
Jan 17 00:27:22 Homematic-CCU local0.warn ReGaHss: WARNING: XMLRPC 'setValue': rpcClient.isFault() failed (url: xmlrpc://127.0.0.1:32010, params: {"","MOTION_DETECTION_ACTIVE",true}, result: [faultCode:-1,faultString:"Generic error"]) [CallXmlrpcMethod():iseXmlRpc.cpp:2608]
Jan 17 00:27:22 Homematic-CCU local0.err ReGaHss: ERROR: XMLRPC 'setValue' call failed (interface: 1011, params: [WriteValue():iseDOMdpHSS.cpp:76]
Kann jemand helfen?

ReGaHss: ERROR: ScriptRuntimeError: integer id = 1215

Wie kann ich rausfinden, welches Script einen Error verursacht?

SGubler
Beiträge: 48
Registriert: 24.09.2018, 17:49
Hat sich bedankt: 3 Mal

Re: RaspberryMatic 3.49.17.20191225 – Neue Version

Beitrag von SGubler » 22.01.2020, 17:10

Gluehwurm hat geschrieben:
22.01.2020, 13:03
Die Fw-Datei darf nicht entpackt werden

Natürlich wurde die Firmware Datei nicht entpackt, sondern direkt als tgz Datei im WebUI hochgeladen.
Die Applikation entpackt sie im /tmp Verzeichnis, das war nicht ich ….

Vermutlich hat EQ-3 wieder 'mal etwas verpfuscht.
Wäre aber gut zu wissen, was die Fehlermeldung verursacht.

Benutzeravatar
jmaus
Beiträge: 5553
Registriert: 17.02.2015, 14:45
Wohnort: Dresden
Hat sich bedankt: 11 Mal
Danksagung erhalten: 214 Mal
Kontaktdaten:

Re: RaspberryMatic 3.49.17.20191225 – Neue Version

Beitrag von jmaus » 22.01.2020, 17:21

SGubler hat geschrieben:
22.01.2020, 17:10
Gluehwurm hat geschrieben:
22.01.2020, 13:03
Die Fw-Datei darf nicht entpackt werden
Natürlich wurde die Firmware Datei nicht entpackt, sondern direkt als tgz Datei im WebUI hochgeladen.
Die Applikation entpackt sie im /tmp Verzeichnis, das war nicht ich ….

Vermutlich hat EQ-3 wieder 'mal etwas verpfuscht.
Wäre aber gut zu wissen, was die Fehlermeldung verursacht.
Das scheint ein Bug im HMIPServer zu sein der mit der nächsten offiziellen CCU3 bzw. OCCU Firmware (d.h. > 3.49.17) beseitigt werden sollte. Daher einfach mal auf die nächste Version warten.
RaspberryMatic 3.49.17.20191225 @ ESXi mit ~160 HomeMatic Geräten + ioBroker – GitHubGitHub Sponsors / PayPalTwitter

Benutzeravatar
onkeltommy
Beiträge: 749
Registriert: 07.05.2016, 08:03
Wohnort: Wien
Hat sich bedankt: 9 Mal
Danksagung erhalten: 5 Mal

Re: RaspberryMatic 3.49.17.20191225 – Neue Version

Beitrag von onkeltommy » 22.01.2020, 20:07

Ich habe jetzt die ASIR auf die 1.4.2 updaten wollen.....das Ergebnis- sie ist "weg"
Meldung: Update erfolgreich
-und sie ist verschwunden- aus allen Programmen weg und aus der Geräteliste.....

?????????????????????

Wiederzufinden im Posteingang..... als neues Gerät. Denke mal ... sollte "so" nicht sein....

Passiert das jetzt bei allen FW Updates von IP Geräten ?

lG
Zuletzt geändert von onkeltommy am 22.01.2020, 20:09, insgesamt 1-mal geändert.
--------------------------
Raspberrymatic 3.49.17.20191225 ...... auf TinkerS (Produktivsystem) + RB3 & RB3+

Gesperrt

Zurück zu „RaspberryMatic“